Newsgroups: comp.databases.oracle.misc
Path: news.easynews.com!core-easynews!newsfeed1.easynews.com!easynews.com!easynews!newsfeeds.sol.net!news.maxwell.syr.edu!newspeer.radix.net!news.er.usgs.gov!news
From: Brian Peasland <oracle_dba@remove_spam.peasland.com>
Subject: Re: compare two function based columns in two tables
X-Nntp-Posting-Host: edcxpw014.cr.usgs.gov
Content-Type: text/plain; charset=us-ascii
Message-ID: <3EA58503.1D1CC161@remove_spam.peasland.com>
Sender: news@igsrsparc2.er.usgs.gov (Janet Walz (GD) x6739)
Content-Transfer-Encoding: 7bit
Organization: U.S. Geological Survey, Reston VA
X-Accept-Language: en
References: <95e852af.0304220608.1f7b3a8a@posting.google.com>
Mime-Version: 1.0
Date: Tue, 22 Apr 2003 18:08:03 GMT
X-Mailer: Mozilla 4.78 [en] (Windows NT 5.0; U)
Lines: 34
Xref: core-easynews comp.databases.oracle.misc:96789
X-Received-Date: Tue, 22 Apr 2003 11:14:23 MST (news.easynews.com)

In order to use function based indexes, you'll need to set up query
rewrite for your session as follows:

ALTER SESSION SET query_rewrite_enabled=TRUE

HTH,
Brian

Dave Rawding wrote:
> 
> Hi,
> 
> I am trying to see if table B's varchar2 column_1 is contained in
> table A's varchar2 column_1.  The comparison uses a function to get
> the string 'into shape'.  So the test is either:
> 
> ... where instr(function(a.column_1),function(b.column_1)) > 0
> 
> or
> 
> ... where function(a.column_1) like '%'||function(b.column_1)||'%'
> 
> I have created function based indexes on each table for the function,
> and then analyzed compute statistics the tables, but so far the
> functions are not being used.
> 
> When I create a 'shadow' column (using triggers to maintain it) in
> each table of the function(column_1) and use these columns in the
> first method above, response is acceptable.
> 
> What I can't tell is if I should be expecting the same response using
> function based indexes if I just get the syntax and all correct.
> 
> Dave
